Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions
Interface SamplingScoringFunction

All Superinterfaces:
  Cloneable, NormalizableScoringFunction, ScoringFunction, Storable

All Known Implementing Classes:
  DifferentiableHigherOrderHMM, MutableMarkovModelScoringFunction

    public interface SamplingScoringFunction

extends NormalizableScoringFunction

Interface for `NormalizableScoringFunction`s that can be used for Metropolis-Hastings sampling in a `SamplingScoreBasedClassifier`.

Author:
  Jan Grau

Field Summary

Fields inherited from interface de.jstacs.scoringFunctions.ScoringFunction
`UNKNOWN`

Method Summary
`int[][]` | `getSamplingGroups(int parameterOffset)` Returns groups of indexes of parameters that shall be drawn together in a sampling procedure

Methods inherited from interface de.jstacs.scoringFunctions.NormalizableScoringFunction
`addGradientOfLogPriorTerm, getEss, getInitialClassParam, getLogNormalizationConstant, getLogPartialNormalizationConstant, getLogPriorTerm, getSizeOfEventSpaceForRandomVariablesOfParameter, isNormalized`

Methods inherited from interface de.jstacs.scoringFunctions.ScoringFunction
`clone, getAlphabetContainer, getCurrentParameterValues, getInstanceName, getLength, getLogScore, getLogScore, getLogScoreAndPartialDerivation, getLogScoreAndPartialDerivation, getNumberOfParameters, getNumberOfRecommendedStarts, initializeFunction, initializeFunctionRandomly, isInitialized, setParameters`

Methods inherited from interface de.jstacs.Storable
`toXML`

Method Detail

### getSamplingGroups

    int[][] getSamplingGroups(int parameterOffset)

  Returns groups of indexes of parameters that shall be drawn together in a sampling procedure

  Parameters:
    `parameterOffset` - a global offset on the parameter indexes
  Returns:
    the groups of indexes. The first dimension represents the different groups while the second dimension contains the parameters that shall be sampled together. Internal parameter indexes need to be increased by `parameterOffset`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD